## 2.0.2 (November 25, 2020)

- __Patch:__ Now works on newer Node.js versions, by replacing the internal `create-error` usage with `error-chain`.
- __Patch:__ Various error parsing robustness improvements.
- __Patch:__ Gulp and Babel were removed, as pretty much everything supports ES2015 by now.

## 2.0.1 (July 25, 2017)

* __Patch:__ Made the error message for composite UNIQUE constraint violations slightly more readable, by wrapping multiple columns and values in a set of brackets.

## 2.0.0 (July 14, 2017)

* __BREAKING:__ A `UniqueConstraintViolationError` may now contain different values, depending on whether the violated constraint was a composite across multiple columns or not. For single-column `UNIQUE` constraints, the `value` and `column` properties will still be present as before; however, for a composite constraint, those properties will be undefined and `values` and `columns` will be set instead.
* __Minor:__ Added support for detecting "undefined column" errors (as an `UndefinedColumnError`).
* __Patch:__ Fixed some incorrect internal function names.

## 1.0.0 (November 11, 2016)

Initial release.
